version: '3.7'
services:
  app:
    build: .
    ports:
      - 3000:3000
    environment:
      # - STELLAR_SECRET_KEY=SBIGUIDWQ3G3J4TWGO43XZ5RBJL62ICMVFJVSSYSPQHHQYR7CLXNTIPY
      - INFLUX_HOST=influx
      # - INFLUX_DATABASE=grader_extension
      # - INFLUX_ADMIN_PASSWORD=
      - NODE_ENV=development
    volumes:
      - .:/app
    depends_on:
      - influx
  influx:
    image: 'influxdb:1.8'
    container_name: 'influxdb'
    ports:
      - 8086:8086
    environment:
      - INFLUXDB_DB=grader_extension
  chronograf:
    image: 'chronograf:1.8-alpine'
    ports:
      - 8888:8888
    depends_on:
      - influx
